Page MenuHomePhabricator

If you run mw.inspect twice on the same page, the second time it is an object and not a function
Closed, ResolvedPublic

Description

@Krinkle knows what's wrong, going to ask him to expand this description.

Event Timeline

Imarlier created this task.Jun 20 2018, 4:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 20 2018, 4:30 PM
Imarlier assigned this task to Krinkle.
Krinkle triaged this task as Low priority.

Change 442149 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] mediawiki.inspect: Use property assignments for clarity

https://gerrit.wikimedia.org/r/442149

Change 442154 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] mediawiki.inspect: Fix exception when calling mw.inspect() a second time

https://gerrit.wikimedia.org/r/442154

Change 442149 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.inspect: Use property assignments for clarity

https://gerrit.wikimedia.org/r/442149

Change 442154 merged by jenkins-bot:
[mediawiki/core@master] mediawiki.inspect: Fix exception when calling mw.inspect() a second time

https://gerrit.wikimedia.org/r/442154

Krinkle closed this task as Resolved.Jun 28 2018, 8:28 PM
Krinkle removed a project: Patch-For-Review.
Vvjjkkii renamed this task from If you run mw.inspect twice on the same page, the second time it is an object and not a function to lkaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii removed Krinkle as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Krinkle renamed this task from lkaaaaaaaa to If you run mw.inspect twice on the same page, the second time it is an object and not a function.Jul 1 2018, 10:57 PM
Krinkle closed this task as Resolved.
Krinkle claimed this task.
Krinkle updated the task description. (Show Details)
CommunityTechBot lowered the priority of this task from High to Low.